Skip to main content

Get agent

Retrieve the configuration and status of a single AI agent.

GET/v1/ai-agents/{agentId}

Path parameters

ParameterTypeDescription
agentId
stringRequired

Identifier of the AI agent. Example: "agent_01".

Responses

JSON
{
"data": {
"id": "agent_01",
"name": "Support assistant",
"persona": "Help customers with their questions.",
"icon_url": "https://example.com/icon.png",
"enabled": true,
"channels": [
"string"
],
"model": "string",
"temperature": 0.7,
"personality": "string",
"memory_enabled": true,
"customer_support_enabled": true,
"chat_history_limit": 10,
"knowledge_topic_count": 10,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Kaily logo

More than just a virtual AI assistant, Kaily brings interactive, human-like conversations to your website. Easy to create, easier to customize, and the easiest to deploy—no code required. Let Kaily enhance your user experience using the information you provide.

Is this page useful?